Subject: Re: [Sigtran] M3UA IG-01 : SCON in response to DAUD

From: [email-masked]
Date: Thu, 12 Sep 2002 16:58:48 -0400

Hello Brian,

>But SS7 does not permit RCT to be generated except in response to TFC.
>Are you meaning that you are delaying response to DAUD until the next
>normal RCT cycle?

I am refering to the scenario in which the M3UA SG-STP does
not share a point code with the M3UA peer. The M3UA ASP sends
a message via the SG-STP into the SS7 network, and the message
encounters congestion. A response method TFC is generated, arrives
at the SG destined to the peer's point code, and is sent out as
a SCON. (The SG-STP does not capture the TFC and maintain congestion
status for the destination, nor does it initiate route-set-test on
behalf of the ASP). The ASP replies with a deviated DAUD. The SG
generates a RCT and sends it to the congested destination.

And yes, I know that your next response is going to be that the
SG is supposed to terminate MTP3, and therefore should implement
route-set-test on behalf of the ASP. I disagree with this, when
the SG and ASP do not share a point code.

>Then I take it you do not have a problem with the text in the RFC2b?

The fact that it does not require the SG to send a SCON in response
to a DAUD is good. ;)

Regards,

Jeff

"Brian F. G. Bidulock" <[email-masked]> on 09/12/2002 04:13:28 PM

Please respond to [email-masked]

To:    [email-masked]
cc:    Tolga Asveren <[email-masked]>, [email-masked]
Subject:    Re: [Sigtran] M3UA IG-01 : SCON in response to DAUD

Jeffrey,

[email-masked] wrote:
(Thu, 12 Sep 2002 15:51:57)
>
> Hello Brian,
>
> >Issuing an RCT on such a basis is a violation of SS7 MTP Level 3
> >conformance (RCT is issued solely in response to receipt of TFC).
>
> In our implementation of M3UA SG-STP, the requirement is that the
> ASP properly issues the deviated DAUD (RCT) only in response to
> receiving a response method SCON. For networks that do not support
> route-set-congestion-test procedures, no RCT is generated, and the
> deviated DAUD is ignored. The SG regulates the rate of generated
> RCTs.

But SS7 does not permit RCT to be generated except in response to TFC.
Are you meaning that you are delaying response to DAUD until the next
normal RCT cycle?

>
> >The just of the RFC is simply that when the SG has congestion state
> >information it respond with SCON; when it dosn not have congestion
> >state information it deos not respond with SCON.  The importance is
> >that the SCON MUST come before the DAVA or DRST in the response.
>
> I understand this. For almost all situations, our implementation
> of M3UA SG-STP does not respond to a (compliant) DAUD with a SCON,
> since remote congestion status is not maintained.

Then I take it you do not have a problem with the text in the RFC2b?

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 12 Sep 2002 15:44:54 -0600

Jeffrey,

[email-masked] wrote:                                           (Thu, 12 Sep 2002 16:58:48)
> the SG and ASP do not share a point code.

Precisely:  Your configuration is not supported by the RFC.  If you are
going to devise a proprietary or non-standard configuration, it really
doesn't matter what you do.  If interoperability is of concern to you,
I would advise that you follow the proposed standard.  In the standard
you have two choices:  (1) the SG terminates MTP3; (2) the SG is not
connected to an SS7 network and is really an IPSP.

> The fact that it does not require the SG to send a SCON in response

I agree.